﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ProyectoFinalCliente1.ServiceReference3 {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Comentario", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class Comentario : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pContenidoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime pFechaCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdAutorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdBlogField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pUsernameField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pContenido {
            get {
                return this.pContenidoField;
            }
            set {
                if ((object.ReferenceEquals(this.pContenidoField, value) != true)) {
                    this.pContenidoField = value;
                    this.RaisePropertyChanged("pContenido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pEstado {
            get {
                return this.pEstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.pEstadoField, value) != true)) {
                    this.pEstadoField = value;
                    this.RaisePropertyChanged("pEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime pFechaCreacion {
            get {
                return this.pFechaCreacionField;
            }
            set {
                if ((this.pFechaCreacionField.Equals(value) != true)) {
                    this.pFechaCreacionField = value;
                    this.RaisePropertyChanged("pFechaCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pId {
            get {
                return this.pIdField;
            }
            set {
                if ((this.pIdField.Equals(value) != true)) {
                    this.pIdField = value;
                    this.RaisePropertyChanged("pId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pIdAutor {
            get {
                return this.pIdAutorField;
            }
            set {
                if ((this.pIdAutorField.Equals(value) != true)) {
                    this.pIdAutorField = value;
                    this.RaisePropertyChanged("pIdAutor");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pIdBlog {
            get {
                return this.pIdBlogField;
            }
            set {
                if ((this.pIdBlogField.Equals(value) != true)) {
                    this.pIdBlogField = value;
                    this.RaisePropertyChanged("pIdBlog");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pUsername {
            get {
                return this.pUsernameField;
            }
            set {
                if ((object.ReferenceEquals(this.pUsernameField, value) != true)) {
                    this.pUsernameField = value;
                    this.RaisePropertyChanged("pUsername");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReference3.IComentariosService")]
    public interface IComentariosService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/comentariosByBlog", ReplyAction="http://tempuri.org/IComentariosService/comentariosByBlogResponse")]
        ProyectoFinalCliente1.ServiceReference3.Comentario[] comentariosByBlog(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/comentariosByBlog", ReplyAction="http://tempuri.org/IComentariosService/comentariosByBlogResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference3.Comentario[]> comentariosByBlogAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/eliminarComentario", ReplyAction="http://tempuri.org/IComentariosService/eliminarComentarioResponse")]
        bool eliminarComentario(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/eliminarComentario", ReplyAction="http://tempuri.org/IComentariosService/eliminarComentarioResponse")]
        System.Threading.Tasks.Task<bool> eliminarComentarioAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/crear", ReplyAction="http://tempuri.org/IComentariosService/crearResponse")]
        void crear(ProyectoFinalCliente1.ServiceReference3.Comentario comentario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IComentariosService/crear", ReplyAction="http://tempuri.org/IComentariosService/crearResponse")]
        System.Threading.Tasks.Task crearAsync(ProyectoFinalCliente1.ServiceReference3.Comentario comentario);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IComentariosServiceChannel : ProyectoFinalCliente1.ServiceReference3.IComentariosService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ComentariosServiceClient : System.ServiceModel.ClientBase<ProyectoFinalCliente1.ServiceReference3.IComentariosService>, ProyectoFinalCliente1.ServiceReference3.IComentariosService {
        
        public ComentariosServiceClient() {
        }
        
        public ComentariosServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ComentariosServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ComentariosServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ComentariosServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ProyectoFinalCliente1.ServiceReference3.Comentario[] comentariosByBlog(int id) {
            return base.Channel.comentariosByBlog(id);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference3.Comentario[]> comentariosByBlogAsync(int id) {
            return base.Channel.comentariosByBlogAsync(id);
        }
        
        public bool eliminarComentario(int id) {
            return base.Channel.eliminarComentario(id);
        }
        
        public System.Threading.Tasks.Task<bool> eliminarComentarioAsync(int id) {
            return base.Channel.eliminarComentarioAsync(id);
        }
        
        public void crear(ProyectoFinalCliente1.ServiceReference3.Comentario comentario) {
            base.Channel.crear(comentario);
        }
        
        public System.Threading.Tasks.Task crearAsync(ProyectoFinalCliente1.ServiceReference3.Comentario comentario) {
            return base.Channel.crearAsync(comentario);
        }
    }
}
